Bug 111728 - Useless Arrow Style settings for shape objects
Summary: Useless Arrow Style settings for shape objects
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Shapes
  Show dependency treegraph
 
Reported: 2017-08-12 15:11 UTC by Tamás Zolnai
Modified: 2019-09-03 16:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2017-08-12 15:11:25 UTC
Description:
On the context menu of a shape there is an option for line settings which openes a dialog. For line shapes it makes sense to have arrow style settings, but for other kind of shapes (e.g. Rectangle) which does not handle such options has no reason to display these settings. 

Steps to Reproduce:
1. Open Writer
2. Create a rectangle shape
3. Open line settings (shape context menu -> Line ...)

Actual Results:  
On 'Line' tap page there is an Arrow Style are where user can set start and end arrow style. There is also an Arrow Styles tab page.

Expected Results:
No arrow related settings should be displayed in Line dialog for shapes where it has no meaning.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.90 Safari/537.36
Comment 1 Regina Henschel 2017-08-12 22:48:24 UTC
Please compare with bug 101254. I think, that it would be to expensive, if you examine the enhanced geometry of a custom shape to decide, whether the path is closed, only for to show or hide this setting. Therefore I suggest to have line ends always enabled.
Comment 2 Buovjaga 2017-08-30 12:51:24 UTC
(In reply to Regina Henschel from comment #1)
> Please compare with bug 101254. I think, that it would be to expensive, if
> you examine the enhanced geometry of a custom shape to decide, whether the
> path is closed, only for to show or hide this setting. Therefore I suggest
> to have line ends always enabled.

Tamás: do you agree?
Comment 3 Tamás Zolnai 2017-08-30 12:59:25 UTC
(In reply to Buovjaga from comment #2)
> (In reply to Regina Henschel from comment #1)
> > Please compare with bug 101254. I think, that it would be to expensive, if
> > you examine the enhanced geometry of a custom shape to decide, whether the
> > path is closed, only for to show or hide this setting. Therefore I suggest
> > to have line ends always enabled.
> 
> Tamás: do you agree?

I'm not sure we need actually examine the geometry for decide on allowing the arrow. I mean when you insert a rectangle shape you know that it is a closed geometry, so I guess for the preset shapes we might have additional clue about the type of the shape and decide based on that.

Additionally I see that this arrow styles settings are also available for textbox and image shapes, which are clearly have different shape type (not custom shapes), so there I'm sure we can disable these settings without a problem.
Comment 4 Buovjaga 2017-08-30 13:08:27 UTC
Ok, let's set to NEW.
Comment 5 QA Administrators 2018-08-31 02:42:15 UTC Comment hidden (obsolete)
Comment 6 Regina Henschel 2018-09-02 16:28:40 UTC
This is a valid request and there still exists no decision, whether to follow this request.
Comment 7 QA Administrators 2019-09-03 16:11:49 UTC
Dear Tamás Zolnai,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug